QGIS Application - Bug report #17811
QGIS startup hangs
2018-01-06 09:27 AM - Charles Clancy

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.0 Regression?: No
Operating System: Win 7/64 Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 25707
Description

Until recently | was running QGIS 2.18.0 with no issues. Upgraded to 2.18.15. Encountered problem with loading/running the Processing
Toolbox plugin. Could not resolve due to incompatibility of the Processing plugin with 2.18.15. Reinstalled 2.18.0 to resolve, which it did.
Problem is that QGIS now consistently takes 8 minutes to start up - pauses at "Restoring loaded plugins”. I've tried everything including
unloading all plugins - essentially starting QGIS with no plugins. Still takes 8 minutes. Does not crash or generate error messages.
Suggestions?

History

#1 - 2018-01-09 08:43 PM - Charles Clancy

Edited description:

Until recently | was running QGIS 2.18.0 with no issues. Upgraded to 2.18.15. Encountered problem with loading/running the Processing Toolbox plugin,
which is important to me in keeping track of specialized raster processing tools that I've used. Could not resolve due to incompatibility of the Processing
plugin with 2.18.15. Reinstalled 2.18.0 to resolve, which it did. Problem is that QGIS now consistently takes 8 minutes to start up - pauses at "Restoring
loaded plugins". I've tried everything including unloading (but not uninstalling) all plugins - essentially starting QGIS with no plugins. Still takes 8 minutes.
Does not crash or generate error messages. Before | do more trials and/or research, are there any fixes that would resolve this? I'm trying to get past the
problem without losing settings, etc., such as deleting my .qgis2 folder.

System: WIN 7x64 16gb ram SSD (normally a fast machine)

#2 - 2018-01-11 09:19 AM - Charles Clancy

My new AV scanner is part of the problem. When | turn it off QGIS starts normally, plugins and all. My new AV software slows down app startups in
general. But most of the delays are only a few seconds. For some reason the QGIS startup is much more drastically affected. What aspect of the startup is
the question. The task manager shows that the AV scanner is using up to 30% of the CPU while qgis-bin.exe is simply stalled.

#3 - 2019-01-21 12:34 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#4 - 2019-01-21 12:42 AM - Charles Clancy

Upgrading to 3.2, and now 3.4 resolved the problem.
#5 - 2019-01-21 12:46 AM - Giovanni Manghi
- Resolution set to wontfix

- Status changed from Feedback to Closed
